const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const game_player_stats = sequelize.define(
    'game_player_stats',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

goals: {
        type: DataTypes.INTEGER,
      
      

      },

assists: {
        type: DataTypes.INTEGER,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  game_player_stats.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity




























//end loop



    db.game_player_stats.belongsTo(db.games, {
      as: 'game',
      foreignKey: {
        name: 'gameId',
      },
      constraints: false,
    });

    db.game_player_stats.belongsTo(db.players, {
      as: 'player',
      foreignKey: {
        name: 'playerId',
      },
      constraints: false,
    });

    db.game_player_stats.belongsTo(db.game_teams, {
      as: 'game_team',
      foreignKey: {
        name: 'game_teamId',
      },
      constraints: false,
    });

    db.game_player_stats.belongsTo(db.organizations, {
      as: 'organizations',
      foreignKey: {
        name: 'organizationsId',
      },
      constraints: false,
    });




    db.game_player_stats.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.game_player_stats.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return game_player_stats;
};


